{% extends 'base_backend.html.twig' %}
{% block title %}
    <title>AutoplusAdmin - Annonces</title>
{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('backassets/css/jquery.gritter.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('backassets/css/colorbox.min.css') }}" />
{% endblock %}

{% block  subVN %} style="display:block;" {% endblock %}
{% block LVNactive %} class="active" {% endblock %}
{% block breadcumb %}
    <li>Voitures neuves</li>
    <li class="active">Liste des voitures neuves</li>
{% endblock %}
{% block body %}
    <div class="row">
        <div class="col-xs-12">
            <table id="tablevoitures" class="table table-striped table-bordered table-hover">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>Nom</th>
                    <th>Versions</th>
                    <th>Prix</th>
                    <th>Suppression</th>
                </tr>
                </thead>
                <tbody>
                {% for car in cars %}
                    <tr>
                        <td>{{ car.id }} </td>
                        <td>{{ car.marque|title }} {{ car.modele|title }}</td>
                        <td>
                            <ul style="list-style-type: none; ">
                                {% if car.versions != null %}
                                {% for version in car.versions %}
                                   <li style="padding : 5px"> <a  href="{{ path('version_edit',{'id':version.id}) }}">{{ version.libelle }}</a>
                                   <a href="#" onclick="deleteVersion(event,{{ version.id }})">
                                    <span class="">
                                        <i style="padding-left : 20px" class="red ace-icon fa fa-trash-o bigger-120"></i>
                                    </span>
                                   </a>
                                       <a href="{{ path('version_edit',{'id':version.id}) }}">
                                    <span class="">
                                        <i style="padding-left : 20px; color: #FFB752" class=" ace-icon fa fa-edit bigger-120"></i>
                                    </span>
                                       </a>

                                   </li>
                                {% endfor %}
                                {% endif %}

                                <a class="btn btn-xs" style="margin-top : 15px" href="{{ path('version_new_selected',{'id':car.id}) }}" >Ajouter une version</a>
                            </ul>
                        </td>
                        <td>{{ car.price }} DT</td>
                        <td>
                            <a href="#"  onclick="deleteCar(event,{{ car.id }})">
                            <span class="btn btn-xs btn-danger">
                                <i class="ace-icon fa fa-trash-o bigger-120"></i>
                            </span>
                            </a>
                            <a href="{{ path('vehicle_edit', { 'id': car.id }) }}">
                                <span class="btn btn-xs btn-warning">
                                    <i class="ace-icon fa fa-edit bigger-120"></i>
                                </span></a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
{% block javascript %}
    <script src="{{ asset('backassets/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ asset('backassets/js/spin.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.gritter.min.js') }}"></script>
    <script src="{{ asset('backassets/js/jquery.colorbox.min.js') }}"></script>
    <script src="{{ asset('backassets/js/bootbox.js') }}"></script>
    <script>
        $('#tablevoitures').DataTable({
            "bLengthChange": false,
            "iDisplayLength": 25
        });
    </script>
    <script>
    function deleteCar(e, id) {
    e.preventDefault()
    bootbox.dialog({
    message: "<span class='bigger-110'>Etes vous sûr de vouloir supprimer cette voiture ?",
                buttons: {
                    "danger": {
                        "label": "Supprimer!", "className": "btn-sm btn-danger", "callback": function () {
                            $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
                            $.ajax({
                                url: "{{ path('new_car_delete') }}",
                                type: 'POST',
                                data: {id: id},
                                success: function () {
                                    $('#spinner').html("");
                                    $.gritter.add({
                                        text: 'Voiture Supprimé ! ',
                                        class_name: 'gritter-success'
                                    })
                                },
                                error: function () {
                                    $.gritter.add({
                                        title: 'Echec de Suppression !',
                                        class_name: 'gritter-error'
                                    })
                                }
                            });

                            setTimeout(function(){
                                location.reload();
                            },2000)
                        }
                    }, "button": {"label": "Annuler", "className": "btn-sm"}
                }
            })
        }

    function deleteVersion(e, id) {
        e.preventDefault()
        bootbox.dialog({
            message: "<span class='bigger-110'>Etes vous sûr de vouloir supprimer cette version ?",
            buttons: {
                "danger": {
                    "label": "Supprimer!", "className": "btn-sm btn-danger", "callback": function () {
                        $('#spinner').html('<i class="ace-icon fa fa-spinner fa-spin orange bigger-125"></i>');
                        /*$.ajax({
                            url: "{{ path('new_car_delete') }}",
                            type: 'POST',
                            data: {id: id},
                            success: function () {
                                $('#spinner').html("");
                                $.gritter.add({
                                    title: 'Voiture Supprimé ! ',
                                    class_name: 'gritter-success'
                                })
                                setTimeout(function(){
                                    location.reload();
                                },2000)
                            },
                            error: function () {
                                $.gritter.add({
                                    title: 'Echec de Suppression !',
                                    class_name: 'gritter-error'
                                })
                            }
                        });*/


                    }
                }, "button": {"label": "Annuler", "className": "btn-sm"}
            }
        })
    }

    </script>
{% endblock %}